OpenAI Live
Send a request through RunAPI's OpenAI-compatible Live operation.
Overzicht
Use RunAPI's OpenAI-compatible Live operation with a compatible model and the protocol's request and response shapes.
Snelstart
- Maak een API-sleutel aan en stel deze in als RUNAPI_API_KEY.
- Kies een compatibel model en stuur de gedocumenteerde padparameters en JSON-body.
- Lees de JSON-respons of server-sent events die voor deze bewerking worden weergegeven, en handel protocollfouten af.
Eindpunt
- Basis-URL
https://runapi.ai- Contractversie
v1- Voorkeursauthenticatie
Authorization: Bearer YOUR_API_TOKEN
Authenticatiedragers
RunAPI accepteert elke hieronder vermelde carrier. Gegenereerde voorbeelden gebruiken de voorkeurskoptekst van het protocol.
- header - Voorkeur
Authorization: Bearer YOUR_API_TOKEN- header
x-api-key: YOUR_API_TOKEN
Compatibele modellen
Open een modelpagina voor actuele prijzen, snelheidslimieten en details over commercieel gebruik.
Toon 1 compatibel model
Verzoekcontract
Alleen velden met zowel openbaar protocol als bewijs van RunAPI-ondersteuning worden vermeld. Aanvullende JSON-bodyvelden worden doorgegeven.
JSON-body15 velden
delegation["object", "null"]Optional client or Responses delegation contract.
delegation.instructionsstringBackend prompt for delegated work when type is responses.
delegation.max_output_tokensintegerOutput token budget for the delegated response.
delegation.modelstringResponses model that runs delegated work when type is responses.
delegation.parallel_tool_callsbooleanAllow independent delegated tool calls in one turn.
delegation.reasoningobjectReasoning settings for the delegated model.
delegation.service_tierstringService tier requested for the delegated response.
delegation.textobjectText output settings for the delegated response.
delegation.tool_choice["string", "object"]Which delegated tools the backend may use.
delegation.toolsarrayHosted Responses tools, or client-owned function tools when type is client.
delegation.tools[].typestringdelegation.typestringclient, responses
modelstringRunAPI model identifier; Live currently supports gpt-live-1.
sdpstringClient SDP offer for the WebRTC session.
transportstringWebRTC session negotiation transport.
Verzoekvoorbeeld
{
"delegation": {
"model": "gpt-5.6-terra",
"tools": [
{
"type": "web_search_preview"
}
],
"type": "responses"
},
"model": "gpt-live-1",
"sdp": "v=0",
"transport": "webrtc"
}
Synchroon antwoord
Schema
{
"additionalProperties": true,
"properties": {
"session": {
"additionalProperties": true,
"type": "object"
},
"transport": {
"additionalProperties": true,
"type": "object"
}
},
"required": [
"session",
"transport"
],
"type": "object"
}
Voorbeeld
{
"session": {
"id": "live_123"
},
"transport": {
"sdp": "answer",
"type": "webrtc"
}
}
Protocolfout: invalid_request
Schema
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
Voorbeeld
{
"error": {
"code": null,
"message": "Invalid Live session request",
"param": "sdp",
"type": "invalid_request_error"
}
}
Gebruik
Schema
{
"additionalProperties": true,
"properties": {
"duration_seconds": {
"type": "number"
}
},
"required": [
"duration_seconds"
],
"type": "object"
}
Voorbeeld
{
"duration_seconds": 3
}
Gegenereerde codevoorbeelden
Elk cURL-, JavaScript- en Python-voorbeeld verstuurt de gevalideerde aanvraag uit dit contract zonder dat een protocolspecifieke SDK vereist is.
Installeren
pip install requests
import requests
response = requests.post(
"https://runapi.ai/v1/live/webrtc",
headers={"Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json"},
json={"model": "gpt-live-1", "transport": "webrtc", "sdp": "v=0", "delegation": {"type": "responses", "model": "gpt-5.6-terra", "tools": [{"type": "web_search_preview"}]}}
)
response.raise_for_status()
print(response.json())